Recente berichten

Pagina's: [1] 2 3 ... 10
1
Showcase / Re: Wat ik ooit met Gimp kon ;-)
« Laatste bericht door Nutello Gepost op 14 oktober 2019, 14:16:08 »
En dan kon je dammen? Hoe werkte dat dan?
2
GIMP resources / Re: Python in Gimp 2.10.6 (Macbook)
« Laatste bericht door E. Sullock Enzlin Gepost op 12 oktober 2019, 21:49:44 »
Boven aan de python code, als eerste regel, moet nog het volgende staan:

#!/usr/bin/env python
#
3
GIMP resources / Re: Python in Gimp 2.10.6 (Macbook)
« Laatste bericht door FransR Gepost op 12 oktober 2019, 14:08:57 »
Ik ben nu een hele tijd verder, maar ik zie geen enkele plug-in.
In de Voorkeuren>mappen staan 2 mogelijkheden vermeld en in die beide mappen vind ik ook hele lijsten met plug-ins maar in Gimp komt er geen enkele boven drijven.
4
Via preferences kun je plugin/scriptmappen toevoegen, ben je niet afhankelijk van de mappen die Gimp heeft gemaakt.
Executable maken lijkt mij niet gezien het feit dat een plugin, nadat je deze op de juste plaats heb gezet, gewoon werkt. Onder Linux dien je ze namelijk eerst nog execuitable te maken.
Terzijde.
1. Met de nieuwe Gimp werken veel plugins niet meer. Nou ja ze kunnen werken of vertonen ander gedrag. Het is maar dat je het weet.
2. Met ingang van 1 januari 2020 is python versie 2 obsolete en dien je over te gaan op versie 3. Wat daar de gevolgen van zijn voor Gimp..... ik weet het niet. Zelf ben ik al bezig om Indexprint om te zetten naar Glade versie 3 en python versie 3. Zal nog wel even duren voordat ik dat klaar heb.
5
GIMP resources / Re: Python in Gimp 2.10.6 (Macbook)
« Laatste bericht door FransR Gepost op 12 oktober 2019, 09:43:10 »
Ntuurlijk had ik eerst even python-fu moeten installeren:
sudo apt-get install gimp-python
maar ik zie nog niets van jouw plug-in.....
En ik zie nu ook dat code niet werkt en dat het bericht daardoor niet wordt verstuurd ......
6
GIMP resources / Re: Python in Gimp 2.10.6 (Macbook)
« Laatste bericht door FransR Gepost op 10 oktober 2019, 14:11:27 »
Oh ja, ik gebruik Linux Mint.
7
GIMP resources / Re: Python in Gimp 2.10.6 (Macbook)
« Laatste bericht door FransR Gepost op 10 oktober 2019, 14:10:13 »
Hoi Peter,
Om te beginnen hartelijk welkom weer op het forum.
Ik ben al een tijdje bezig met script-fu naar aanleiding van een vraag op het forum over een batch bewerking.
Maar python-fu lukt mij helemaal niet, vooral omdat ik geen idee heb hoe dat te starten.
Je guideslabextra.py staat in de juiste directory, maar ik zie in Gimp niets daarvan terug. Ook geen andere plug-ins helaas.
8
GIMP resources / Re: Python in Gimp 2.10.6 (Macbook)
« Laatste bericht door PeterGragert Gepost op 8 oktober 2019, 12:37:37 »
Hallo,
Wie durft een Python Fu plugin te installeren ?
De code kun je ophalen van mijn website:
https://pkhg.nl/guideslabextra.py

1. Nu een GIMP 2.10 starten en kijken waar bij jouw
de plug-ins lokaal  moeten staan Klik boven links op GIMP-2.10
aldaar op Prefernences (bij mij tweede keuze)
dan (bij mij) helemaal beneden op Folders , dus openen
dan klik op Plug-ins en aflezen maar!
bij mij: /Users/peterkhgragert/Library/Application Support/GIMP/2.10/plug-ins
In die directory (map) een copie van guidelabsextra.py stoppen
Gimp nieuw starten
maak maar een new plaatje min of meer groot
Dan zou in de bovenste lijn van GIMP
GtkTEST te zien zijn
Zo ja. dan lijkt de installatie gelukt te zijn klikken en : TestExtra maak activeren, na een paar seconden opent een nieuw venster
(vraag maar als je problemen met de Engelse namen hebt)

En indien gelukt of mislukt graag hier vermelden ;-)
Groeten
      Peter

Probeer maar iets vergelijkbaars als het bijgevoegde plaatje
te maken ;-)

9
Probleem half opgelost.
Een oude gtk plugin 'guideslabextra' doet het weer.
Gewoon de py in de (HOME) map, die 2.10 heeft aangemaakt (en nog plug-in onderaan toegevoegd)  werkt ;-)
Het plaatje is er mee gemaakt: hor. en vest 5 guides toegevoegd( 6 clicks of zo) dan groot van cirkels (width height) ingesteld, laten vullen gekozen met random kleuren --> doen.
De middelpunten zijn automatisch de snijpunten van de 'guides' ;-)
Dat is de reden voor 'extra'

Of en wanneer en Mac-executable gemaakt moet worden, weet ik (nog) niet
;-)
Groeten
    Peter
10
Moet je ze misschien nog executable maken net zoals onder Linux??
Pagina's: [1] 2 3 ... 10